create table channels(id int primary key not null,
	server_id int not null, -- foreign key in servers table
	name text not null,
	public int not null,
	accessor int -- foreign key in accessors table
);

create table users(id int primary key not null,
	name text not null,
	password text not null,
	accessor int -- foreign key in accessors table
);

create table servers(id int primary key not null,
	name text not null,
	host text not null,
	port int not null
);

create table accessors(id int primary key not null,
	channel_id int not null, -- foreign key in channels table
	user_id int not null -- foreign key in users table
);
